SCA::getService
SCA_SoapProxy::createDataObject
SCA Functions
PHP Manual

# SCA_LocalProxy::createDataObject

(PECL SDO >= 0.5.0)

SCA_LocalProxy::createDataObject — create an SDO

### Description

SDO_DataObject SCA_LocalProxy::createDataObject ( string `$type_namespace_uri` , string `$type_name` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

This method is used inside either an ordinary PHP script or an SCA component that needs to create an SDO to pass to a local service. The parameters are the desired SDO's namespace URI and type name. The namespace and type must be defined in the interface of the component that is to be called, so the namespace and type must be defined in one of the schema files which are specified on the @types annotation within the component for which the SCA_LocalProxy object is a proxy.

### Parameters

`type_namespace_uri`

  The namespace of the type.

`type_name`

  The name of the type.

### Return Values

Returns the newly created SDO_DataObject.

### Errors/Exceptions

`SDO_TypeNotFoundException`

  Thrown if the namespaceURI and typeName do not correspond to a type in any of the schema files specified in the @types annotations within the component for which the SCA_LocalProxy object is a proxy..

SCA::getService
SCA_SoapProxy::createDataObject
SCA Functions
PHP Manual